# AP4_IpmpDescriptor Class Reference

`#include <Ap4Ipmp.h>`

Inheritance diagram for AP4_IpmpDescriptor:

List of all members.

## Public Member Functions
| AP4_IpmpDescriptor (AP4_ByteStream &stream, AP4_Size header_size, AP4_Size payload_size)
virtual AP4_Result | WriteFields (AP4_ByteStream &stream)
virtual AP4_Result | Inspect (AP4_AtomInspector &inspector)
AP4_UI08 | GetDescriptorId () const
AP4_UI16 | GetIpmpsType () const
AP4_UI16 | GetDescriptorIdEx () const
const AP4_UI08 * | GetToolId () const
AP4_UI08 | GetControlPointCode () const
AP4_UI08 | GetSequenceCode () const
const AP4_String & | GetUrl () const
const AP4_DataBuffer & | GetData () const

## Detailed Description

Definition at line 73 of file Ap4Ipmp.h.

## Constructor & Destructor Documentation

AP4_IpmpDescriptor::AP4_IpmpDescriptor | ( | AP4_ByteStream & | stream,
|  | AP4_Size | header_size,
|  | AP4_Size | payload_size |
| ) |  |  |

## Member Function Documentation

virtual AP4_Result AP4_IpmpDescriptor::WriteFields | ( | AP4_ByteStream & | stream | ) | `[virtual]`

Implements AP4_Expandable.

virtual AP4_Result AP4_IpmpDescriptor::Inspect | ( | AP4_AtomInspector & | inspector | ) | `[virtual]`

Reimplemented from AP4_Descriptor.

AP4_UI08 AP4_IpmpDescriptor::GetDescriptorId | ( |  | ) | const`[inline]`

Definition at line 84 of file Ap4Ipmp.h.

AP4_UI16 AP4_IpmpDescriptor::GetIpmpsType | ( |  | ) | const`[inline]`

Definition at line 85 of file Ap4Ipmp.h.

AP4_UI16 AP4_IpmpDescriptor::GetDescriptorIdEx | ( |  | ) | const`[inline]`

Definition at line 86 of file Ap4Ipmp.h.

const AP4_UI08* AP4_IpmpDescriptor::GetToolId | ( |  | ) | const`[inline]`

Definition at line 87 of file Ap4Ipmp.h.

AP4_UI08 AP4_IpmpDescriptor::GetControlPointCode | ( |  | ) | const`[inline]`

Definition at line 88 of file Ap4Ipmp.h.

AP4_UI08 AP4_IpmpDescriptor::GetSequenceCode | ( |  | ) | const`[inline]`

Definition at line 89 of file Ap4Ipmp.h.

const AP4_String& AP4_IpmpDescriptor::GetUrl | ( |  | ) | const`[inline]`

Definition at line 90 of file Ap4Ipmp.h.

const AP4_DataBuffer& AP4_IpmpDescriptor::GetData | ( |  | ) | const`[inline]`

Definition at line 91 of file Ap4Ipmp.h.

The documentation for this class was generated from the following file:

- Ap4Ipmp.h